Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Muse crashes
#1
I've got a fairly up-to-date Ubuntu 12.4 with muse installed from the repositories. The program launches just fine, but as soon as I do anything with a file chooser, it crashes. So, I can't load a simple midi file, etc.

Hopefully, this cut/paste from a terminal will help:

FIXME: handle dialog start.
FIXME: handle dialog end.
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0xa692b28) ""
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0xa692b28) ""
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QSidebar(0xa729500, name = "sidebar") "sidebar"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
FIXME: handle dialog start.
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QComboBoxListView(0xa725a58) ""
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Aborted


qt4 runtime stuff is installed. I fear something else is missing???

Thanks.
Reply
#2
Definitely not a MusE bug.

A search on "FIXME: handle dialog start." reveals this is a
common complaint apparently with the qt accessibility plugin.

For example:
<!-- m --><a class="postlink" href="https://bugs.launchpad.net/ubuntu/+source/qt-at-spi/+bug/857790">https://bugs.launchpad.net/ubuntu/+sour ... bug/857790</a><!-- m -->
<!-- m --><a class="postlink" href="https://bugs.launchpad.net/ubuntu/+source/qtiplot/+bug/997462">https://bugs.launchpad.net/ubuntu/+sour ... bug/997462</a><!-- m -->

It was suggested to remove the package qt-at-spi.

But I have it installed here on Lubuntu (with several different desktops)
and have never seen these messages, but I don't use any accessibility
features so they might not actually be turned on.

Tim.
Reply
#3
Right you are! Removed qt-at-spi and it works fine now.

BTW, I don't use the accessibility stuff. I can only assume that something else brought this module in to be a thorn in my side <!-- sSmile --><img src="{SMILIES_PATH}/icon_e_smile.gif" alt="Smile" title="Smile" /><!-- sSmile -->

Thanks.
Reply
#4
thanks, I was getting this too suddenly, but the above solution fixed it. <!-- sSmile --><img src="{SMILIES_PATH}/icon_e_smile.gif" alt="Smile" title="Smile" /><!-- sSmile -->
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)